Agentic

Resolve variant

POSThttps://api.firstleeward.com/v0/agentic/products/variant

Resolves a purchasable variant from selected option values. The returned variant id is the only id accepted by POST /agentic/quotes.

Authorizations

Authorizationstring · headerrequired

API key as Bearer token, e.g. Bearer YOUR_API_KEY

Headers

Leeward-Versionenum<string>required

API version (YYYY-MM-DD). Available option: 2026-09-18

Body

application/json

productIdstringrequired
optionIdsstring[]required

Response

200Response for status 200
idstringrequired
namestring
optionsobject[]required
Show child attributes
namestringrequired
valuestringrequired
priceobjectrequired
Show child attributes
amountnumberrequired
currencystringrequired
availableboolean
requiresShippingboolean
mediaobject[]required
Show child attributes
typestringrequired
urlstring<uri>required
altTextstring
400Response for status 400
Option 1 · AgenticRequestRejectedError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailnullrequired
Option 2 · VariantResolutionFailedError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailnullrequired
404Resource not found
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
503Agentic Payments is temporarily unavailable
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired